<?php
namespace Claromentis\Infocapture\Filter;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_4d707fab93bebb00bb" . "e69e8159697c90" => base64_decode(""), "_8f3ef8878b" . "2a82b830d05" . "1a059162317" => base64_decode("Y3JlYXRlZF9mc" . "m9t"), "_8af1b1bd0c05" . "175c85a4cee44" . "d47d2da" => base64_decode("cXVlcnlf" . "ZmllbGRz"), "_1ac5cc48c34c5362e" . "94d8667cc7b0ddc" => base64_decode("LA" . "=="), "_83396dddfc39e26775d1e61db" . "5abf86b" => base64_decode("bW9uaX" . "Rvcmlu" . "Zw=="), "_c42d618c08b720c25b90ad5550e" . "2db2f" => base64_decode("cmVw" . "b3J0" . "ZXI="), "_7608a2690229dd26ac43cb60aa" . "2a7d97" => base64_decode("bGFzdF9" . "tb2RpZm" . "llZA=="), "sta" . "tus" => base64_decode("c3RhdH" . "Vz"), "_57c0a2f09e2a920c0560baffc5e" . "3d295" => base64_decode("cmVwb3J0ZXJ" . "z"), "project_" . "id" => base64_decode("cHJvamVjdF9" . "pZA=="), "_7276e0af756e529d30af7aaafe4e" . "7784" => base64_decode("YXJjaGl2Z" . "WQ="), "_7f5aa4e" . "96d4b415" . "a86ed72e" . "bff677cb" . "e" => base64_decode("cXV" . "lcn" . "k="), "_ff248fe1eba68f190ea1" . "ff00a554acde" => base64_decode("YXNzaWduZW" . "U="), "_5159b3572969eca46acd1b2" . "e1418459c" => base64_decode("aW1" . "wbG" . "9kZ" . "Q=="), "_5ecedeb8c083d4" . "a2a4ebef5526097" . "f58" => base64_decode("YXNza" . "WduZW" . "Vz"), "_f73dab606630b388645c4f7d3" . "fbb13bb" => base64_decode("YXJyYXlfbW" . "VyZ2U="));
use Claromentis\Core\Util\StringUtil;
use Date;
use Psr\Http\Message\ServerRequestInterface;
use Throwable;
class IssueFilter extends AbstractFilter
{
    
    
    
    
    protected ?int $projectId = null;
    
    
    
    
    protected array $reporter = [];
    
    
    
    
    protected array $assignee = [];
    
    
    
    
    protected ?bool $archived = null;
    
    
    
    
    protected bool $monitoring = false;
    
    
    
    
    protected ?string $query = null;
    
    
    
    
    
    
    protected array $queryFields = [];
    
    
    
    
    
    
    
    public function fill(ServerRequestInterface $request) : void
    {
        $parameters = $request->getQueryParams();
        $this->setPaginationAttributesFromRequest($request);
        $this->setReporters($parameters[$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_c42d618c08b720c25b" . "90ad5550e2db2f"]] ?? $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4d707fab93be" . "bb00bbe69e815" . "9697c90"]);
        $this->setAssignees($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_ff248fe1eba68f190ea1ff00a554acd" . "e"]] ?? $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_4d707fab93bebb00bbe6" . "9e8159697c90"]);
        $this->setStatus($parameters[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["sta" . "tus"]] ?? null);
        $this->setCreatedDate($this->formatDate($parameters[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_8f3ef8878b2a82b" . "830d051a05916231" . "7"]] ?? null));
        $this->setModifiedDate($this->formatDate($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_7608a2690229dd26ac43cb60aa" . "2a7d97"]] ?? null));
        if (isset($parameters[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_7276e0af756e529d30af" . "7aaafe4e7784"]])) {
            $this->setArchived(StringUtil::parseBoolean($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_7276e0af756e529d30af7a" . "aafe4e7784"]]));
        }
        if (isset($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_83396dddfc39e26775d1e61db5abf86" . "b"]])) {
            $this->setMonitoring(StringUtil::parseBoolean($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_83396dddfc39e26775d1e61" . "db5abf86b"]]));
        }
        $this->setQuery($parameters[$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_7f5aa4e96d4b415a86e" . "d72ebff677cbe"]] ?? null);
        if (isset($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_8af1b1bd0c0517" . "5c85a4cee44d47d" . "2da"]])) {
            $this->setQueryFields($parameters[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_8af1b1bd0c05175c85a4cee44" . "d47d2da"]]);
        }
    }
    public function getProjectId() : ?int
    {
        return $this->projectId;
    }
    public function setProjectId(?int $projectId = null) : void
    {
        $this->projectId = $projectId;
    }
    public function getReporterList() : array
    {
        return $this->reporter;
    }
    public function setReporters(string $_c42d618c08b720c25b90ad5550e2db2f) : void
    {
        StringUtil::validateCommaSeparatedList($_c42d618c08b720c25b90ad5550e2db2f);
        $this->reporter = StringUtil::splitCommaSeparatedList($_c42d618c08b720c25b90ad5550e2db2f);
    }
    public function getAssigneeList() : array
    {
        return $this->assignee;
    }
    public function setAssignees(string $_ff248fe1eba68f190ea1ff00a554acde) : void
    {
        StringUtil::validateCommaSeparatedList($_ff248fe1eba68f190ea1ff00a554acde);
        $this->assignee = StringUtil::splitCommaSeparatedList($_ff248fe1eba68f190ea1ff00a554acde);
    }
    public function getArchived() : ?bool
    {
        return $this->archived;
    }
    public function setArchived(?bool $_7276e0af756e529d30af7aaafe4e7784) : void
    {
        $this->archived = $_7276e0af756e529d30af7aaafe4e7784;
    }
    public function getMonitoring() : bool
    {
        return $this->monitoring;
    }
    public function setMonitoring(bool $_83396dddfc39e26775d1e61db5abf86b) : void
    {
        $this->monitoring = $_83396dddfc39e26775d1e61db5abf86b;
    }
    public function getQuery() : ?string
    {
        return $this->query;
    }
    public function setQuery(?string $_7f5aa4e96d4b415a86ed72ebff677cbe) : void
    {
        $this->query = $_7f5aa4e96d4b415a86ed72ebff677cbe;
    }
    
    
    
    
    public function getQueryFields() : array
    {
        return $this->queryFields;
    }
    public function setQueryFields(string $_fc95e77eab852b63129161149bcdac0d) : void
    {
        StringUtil::validateCommaSeparatedList($_fc95e77eab852b63129161149bcdac0d);
        $this->queryFields = StringUtil::splitCommaSeparatedList($_fc95e77eab852b63129161149bcdac0d);
    }
    public function toArray() : array
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_f73dab60" . "6630b3886" . "45c4f7d3f" . "bb13bb"](parent::toArray(), [$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["proje" . "ct_id"] => $this->projectId, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_57c0a2f09e2a920c0560baffc5e3d2" . "95"] => !empty($this->reporter) ? $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_5159b3572969eca46acd1" . "b2e1418459c"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_1ac5cc48c34c5362e94d8667cc7b" . "0ddc"], $this->reporter) : null, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_5ecedeb8c083" . "d4a2a4ebef552" . "6097f58"] => !empty($this->assignee) ? $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_5159b3572969eca46ac" . "d1b2e1418459c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_1ac5cc48c34c5362e94d" . "8667cc7b0ddc"], $this->assignee) : null, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_7276e0af756e5" . "29d30af7aaafe4" . "e7784"] => $this->archived, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_83396dddfc39e2677" . "5d1e61db5abf86b"] => $this->monitoring, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["stat" . "us"] => $this->status]);
    }
    
    
    
    
    
    
    
    
    
    private function formatDate(?string $_67a0d624aebcceb0abd5ce56a53ff06f) : ?Date
    {
        if ($_67a0d624aebcceb0abd5ce56a53ff06f === null) {
            return null;
        }
        try {
            return new \Date($_67a0d624aebcceb0abd5ce56a53ff06f);
        } catch (Throwable $_fe441aa3ef350bfb1a1a1ad8520dd530) {
            return null;
        }
    }
}